/2025-07/marketing-solutions/campaigns/{campaign-id}
curl --request GET \
--url https://api.criteo.com/2025-07/marketing-solutions/campaigns/{campaign-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-07/marketing-solutions/campaigns/{campaign-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-07/marketing-solutions/campaigns/{campaign-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"advertiserId": "<string>",
"budgetAutomation": {
"automatedBudgetConfiguration": {},
"enabled": true
},
"id": "<string>",
"name": "<string>",
"spendLimit": {
"spendLimitAmount": {
"value": 123
}
}
},
"id": "<string>",
"type": "Campaign"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2025-07/marketing-solutions/campaigns/{campaign-id}
Get the data for the specified campaign.
A campaign, or in other words a marketing campaign, is an entity that defines advertising objectives and success criteria.
GET
/
2025-07
/
marketing-solutions
/
campaigns
/
{campaign-id}
/2025-07/marketing-solutions/campaigns/{campaign-id}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
ID of the marketing campaign; This field is required.
Was this page helpful?
⌘I